ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/gvpe/configure
(Generate patch)

Comparing gvpe/configure (file contents):
Revision 1.16 by pcg, Sun Feb 8 07:24:25 2004 UTC vs.
Revision 1.30 by pcg, Mon Dec 5 12:58:05 2005 UTC

269PACKAGE_TARNAME= 269PACKAGE_TARNAME=
270PACKAGE_VERSION= 270PACKAGE_VERSION=
271PACKAGE_STRING= 271PACKAGE_STRING=
272PACKAGE_BUGREPORT= 272PACKAGE_BUGREPORT=
273 273
274ac_unique_file="src/vped.C" 274ac_unique_file="src/gvpe.C"
275# Factoring default headers for most tests. 275# Factoring default headers for most tests.
276ac_includes_default="\ 276ac_includes_default="\
277#include <stdio.h> 277#include <stdio.h>
278#if HAVE_SYS_TYPES_H 278#if HAVE_SYS_TYPES_H
279# include <sys/types.h> 279# include <sys/types.h>
307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT MKINSTALLDIRS MSGFMT GMSGFMT XGETTEXT MSGMERGE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE USE_NLS LIBICONV LTLIBICONV INTLLIBS LIBINTL LTLIBINTL POSUB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE EGREP LN_S RANLIB ac_ct_RANLIB IFTYPE IFSUBTYPE CXXCPP ALLOCA LINUX_IF_TUN_H HAVE_TUNTAP ROHC_TRUE ROHC_FALSE INCLUDES LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT MKINSTALLDIRS MSGFMT GMSGFMT XGETTEXT MSGMERGE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE USE_NLS LIBICONV LTLIBICONV INTLLIBS LIBINTL LTLIBINTL POSUB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE EGREP LN_S RANLIB ac_ct_RANLIB IFTYPE IFSUBTYPE CXXCPP ALLOCA LINUX_IF_TUN_H HAVE_TUNTAP LDFLAGS_DAEMON ROHC_TRUE ROHC_FALSE INCLUDES LIBOBJS LTLIBOBJS'
313ac_subst_files='' 313ac_subst_files=''
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
868 --enable-dependency-tracking Do not reject slow dependency extractors 868 --enable-dependency-tracking Do not reject slow dependency extractors
869 --disable-rpath do not hardcode runtime library paths 869 --disable-rpath do not hardcode runtime library paths
870 --disable-nls do not use Native Language Support 870 --disable-nls do not use Native Language Support
871 --enable-iftype=TYPE/SUBTYPE 871 --enable-iftype=TYPE/SUBTYPE
872 Use kernel/net device interface TYPE/SUBTYPE. 872 Use kernel/net device interface TYPE/SUBTYPE.
873 Working combinations are: "native/linux" 873 Working combinations are (see doc/gvpe.osdep.5.pod):
874 "native/linux" "tincd/linux" "tincd/netbsd"
874 "tincd/linux" "tincd/freebsd" "tincd/openbsd" 875 "tincd/freebsd" "tincd/openbsd" "native/darwin"
875 "tincd/darwin" "native/cygwin"; Untested 876 "tincd/darwin" "native/cygwin"; Untested
876 combinations are: "tincd/netbsd" "tincd/solaris" 877 combinations are: "tincd/bsd" "tincd/solaris"
877 "tincd/mingw"; Broken combinations are: 878 "tincd/mingw" "tincd/raw_socket" "tincd/uml_socket";
879 Broken combinations are: "tincd/cygwin"; The default
878 "tincd/cygwin"; The default is to autodetect. 880 is to autodetect.
881 --enable-static-daemon enable statically linked daemon.
879 --enable-rohc enable robust header compression (rfc3095). 882 --enable-rohc enable robust header compression (rfc3095).
880 --enable-icmp enable icmp protocol support (default disabled). 883 --enable-icmp enable icmp protocol support (default disabled).
881 --enable-tcp enable tcp protocol support (default disabled). 884 --enable-tcp enable tcp protocol support (default disabled).
885 --enable-dns enable dns tunnel protocol support (DOES NOT WORK).
882 --enable-http-proxy enable http proxy connect support (default 886 --enable-http-proxy enable http proxy connect support (default
883 disabled). 887 disabled).
884 --enable-hmac-length=BYTES 888 --enable-hmac-length=BYTES
885 use a hmac of length BYTES bytes (default 12). 889 use a hmac of length BYTES bytes (default 12).
886 Allowed values are 4, 8, 12, 16. 890 Allowed values are 4, 8, 12, 16.
888 use BYTES bytes of extra randomness (default 8). 892 use BYTES bytes of extra randomness (default 8).
889 Allowed values are 0, 4, 8. 893 Allowed values are 0, 4, 8.
890 --enable-max-mtu=BYTES enable mtu sizes upto BYTES bytes (default 1500). 894 --enable-max-mtu=BYTES enable mtu sizes upto BYTES bytes (default 1500).
891 Use 9100 for jumbogram support. 895 Use 9100 for jumbogram support.
892 --disable-compression Disable compression support. 896 --disable-compression Disable compression support.
893 --enable-cipher Select the symmetric cipher (default "bf"). Must be 897 --enable-cipher Select the symmetric cipher (default "aes-128").
894 one of "bf" (blowfish), "aes-128" (rijndael), 898 Must be one of "bf" (blowfish), "aes-128"
895 "aes-192" or "aes-256". 899 (rijndael), "aes-192" or "aes-256".
896 --enable-digest Select the digets algorithm to use (default "sha1"). 900 --enable-digest Select the digets algorithm to use (default
897 Must be one of "sha1", "ripemd160", "md5" or "md4" 901 "ripemd160"). Must be one of "sha1", "ripemd160",
898 (insecure). 902 "md5" or "md4" (insecure).
899 903
900Optional Packages: 904Optional Packages:
901 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] 905 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
902 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) 906 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
903 --with-gnu-ld assume the C compiler uses GNU ld default=no 907 --with-gnu-ld assume the C compiler uses GNU ld default=no
1358 1362
1359 1363
1360 1364
1361 1365
1362 1366
1367
1363ac_aux_dir= 1368ac_aux_dir=
1364for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do 1369for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do
1365 if test -f $ac_dir/install-sh; then 1370 if test -f $ac_dir/install-sh; then
1366 ac_aux_dir=$ac_dir 1371 ac_aux_dir=$ac_dir
1367 ac_install_sh="$ac_aux_dir/install-sh -c" 1372 ac_install_sh="$ac_aux_dir/install-sh -c"
1714 fi 1719 fi
1715fi 1720fi
1716 1721
1717 1722
1718# Define the identity of the package. 1723# Define the identity of the package.
1719 PACKAGE=vpe 1724 PACKAGE=gvpe
1720 VERSION=1.5 1725 VERSION=1.9
1721 1726
1722 1727
1723cat >>confdefs.h <<_ACEOF 1728cat >>confdefs.h <<_ACEOF
1724#define PACKAGE "$PACKAGE" 1729#define PACKAGE "$PACKAGE"
1725_ACEOF 1730_ACEOF
6411#define HAVE_FREEBSD 1 6416#define HAVE_FREEBSD 1
6412_ACEOF 6417_ACEOF
6413 6418
6414 ;; 6419 ;;
6415 *darwin*) 6420 *darwin*)
6416 IFTYPE=tincd 6421 IFTYPE=native
6417 IFSUBTYPE=darwin 6422 IFSUBTYPE=darwin
6418 6423
6419cat >>confdefs.h <<\_ACEOF 6424cat >>confdefs.h <<\_ACEOF
6420#define HAVE_DARWIN 1 6425#define HAVE_DARWIN 1
6421_ACEOF 6426_ACEOF
7010 7015
7011done 7016done
7012 7017
7013 7018
7014 7019
7020
7015for ac_header in ext/hash_map 7021for ac_header in ext/hash_map clocale
7016do 7022do
7017as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 7023as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
7018if eval "test \"\${$as_ac_Header+set}\" = set"; then 7024if eval "test \"\${$as_ac_Header+set}\" = set"; then
7019 echo "$as_me:$LINENO: checking for $ac_header" >&5 7025 echo "$as_me:$LINENO: checking for $ac_header" >&5
7020echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 7026echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
9675 9681
9676if test "x$openssl_include" != x; then 9682if test "x$openssl_include" != x; then
9677 CXXFLAGS="$CXXFLAGS -I$openssl_include" 9683 CXXFLAGS="$CXXFLAGS -I$openssl_include"
9678fi 9684fi
9679 9685
9686# Check whether --enable-static-daemon or --disable-static-daemon was given.
9687if test "${enable_static_daemon+set}" = set; then
9688 enableval="$enable_static_daemon"
9689 LDFLAGS_DAEMON=-static
9690
9691fi;
9692
9693
9680# Check whether --enable-rohc or --disable-rohc was given. 9694# Check whether --enable-rohc or --disable-rohc was given.
9681if test "${enable_rohc+set}" = set; then 9695if test "${enable_rohc+set}" = set; then
9682 enableval="$enable_rohc" 9696 enableval="$enable_rohc"
9683 9697
9684 echo 9698 echo
9707 ROHC_TRUE='#' 9721 ROHC_TRUE='#'
9708 ROHC_FALSE= 9722 ROHC_FALSE=
9709fi 9723fi
9710 9724
9711 9725
9726
9712# Check whether --enable-icmp or --disable-icmp was given. 9727# Check whether --enable-icmp or --disable-icmp was given.
9713if test "${enable_icmp+set}" = set; then 9728if test "${enable_icmp+set}" = set; then
9714 enableval="$enable_icmp" 9729 enableval="$enable_icmp"
9715 9730
9716cat >>confdefs.h <<_ACEOF 9731cat >>confdefs.h <<_ACEOF
9729_ACEOF 9744_ACEOF
9730 9745
9731 9746
9732fi; 9747fi;
9733 9748
9749# Check whether --enable-dns or --disable-dns was given.
9750if test "${enable_dns+set}" = set; then
9751 enableval="$enable_dns"
9752
9753 if test "${ac_cv_header_gmp_h+set}" = set; then
9754 echo "$as_me:$LINENO: checking for gmp.h" >&5
9755echo $ECHO_N "checking for gmp.h... $ECHO_C" >&6
9756if test "${ac_cv_header_gmp_h+set}" = set; then
9757 echo $ECHO_N "(cached) $ECHO_C" >&6
9758fi
9759echo "$as_me:$LINENO: result: $ac_cv_header_gmp_h" >&5
9760echo "${ECHO_T}$ac_cv_header_gmp_h" >&6
9761else
9762 # Is the header compilable?
9763echo "$as_me:$LINENO: checking gmp.h usability" >&5
9764echo $ECHO_N "checking gmp.h usability... $ECHO_C" >&6
9765cat >conftest.$ac_ext <<_ACEOF
9766/* confdefs.h. */
9767_ACEOF
9768cat confdefs.h >>conftest.$ac_ext
9769cat >>conftest.$ac_ext <<_ACEOF
9770/* end confdefs.h. */
9771$ac_includes_default
9772#include <gmp.h>
9773_ACEOF
9774rm -f conftest.$ac_objext
9775if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
9776 (eval $ac_compile) 2>conftest.er1
9777 ac_status=$?
9778 grep -v '^ *+' conftest.er1 >conftest.err
9779 rm -f conftest.er1
9780 cat conftest.err >&5
9781 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9782 (exit $ac_status); } &&
9783 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
9784 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9785 (eval $ac_try) 2>&5
9786 ac_status=$?
9787 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9788 (exit $ac_status); }; } &&
9789 { ac_try='test -s conftest.$ac_objext'
9790 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9791 (eval $ac_try) 2>&5
9792 ac_status=$?
9793 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9794 (exit $ac_status); }; }; then
9795 ac_header_compiler=yes
9796else
9797 echo "$as_me: failed program was:" >&5
9798sed 's/^/| /' conftest.$ac_ext >&5
9799
9800ac_header_compiler=no
9801fi
9802rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
9803echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
9804echo "${ECHO_T}$ac_header_compiler" >&6
9805
9806# Is the header present?
9807echo "$as_me:$LINENO: checking gmp.h presence" >&5
9808echo $ECHO_N "checking gmp.h presence... $ECHO_C" >&6
9809cat >conftest.$ac_ext <<_ACEOF
9810/* confdefs.h. */
9811_ACEOF
9812cat confdefs.h >>conftest.$ac_ext
9813cat >>conftest.$ac_ext <<_ACEOF
9814/* end confdefs.h. */
9815#include <gmp.h>
9816_ACEOF
9817if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
9818 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
9819 ac_status=$?
9820 grep -v '^ *+' conftest.er1 >conftest.err
9821 rm -f conftest.er1
9822 cat conftest.err >&5
9823 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9824 (exit $ac_status); } >/dev/null; then
9825 if test -s conftest.err; then
9826 ac_cpp_err=$ac_cxx_preproc_warn_flag
9827 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
9828 else
9829 ac_cpp_err=
9830 fi
9831else
9832 ac_cpp_err=yes
9833fi
9834if test -z "$ac_cpp_err"; then
9835 ac_header_preproc=yes
9836else
9837 echo "$as_me: failed program was:" >&5
9838sed 's/^/| /' conftest.$ac_ext >&5
9839
9840 ac_header_preproc=no
9841fi
9842rm -f conftest.err conftest.$ac_ext
9843echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
9844echo "${ECHO_T}$ac_header_preproc" >&6
9845
9846# So? What about this header?
9847case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
9848 yes:no: )
9849 { echo "$as_me:$LINENO: WARNING: gmp.h: accepted by the compiler, rejected by the preprocessor!" >&5
9850echo "$as_me: WARNING: gmp.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
9851 { echo "$as_me:$LINENO: WARNING: gmp.h: proceeding with the compiler's result" >&5
9852echo "$as_me: WARNING: gmp.h: proceeding with the compiler's result" >&2;}
9853 ac_header_preproc=yes
9854 ;;
9855 no:yes:* )
9856 { echo "$as_me:$LINENO: WARNING: gmp.h: present but cannot be compiled" >&5
9857echo "$as_me: WARNING: gmp.h: present but cannot be compiled" >&2;}
9858 { echo "$as_me:$LINENO: WARNING: gmp.h: check for missing prerequisite headers?" >&5
9859echo "$as_me: WARNING: gmp.h: check for missing prerequisite headers?" >&2;}
9860 { echo "$as_me:$LINENO: WARNING: gmp.h: see the Autoconf documentation" >&5
9861echo "$as_me: WARNING: gmp.h: see the Autoconf documentation" >&2;}
9862 { echo "$as_me:$LINENO: WARNING: gmp.h: section \"Present But Cannot Be Compiled\"" >&5
9863echo "$as_me: WARNING: gmp.h: section \"Present But Cannot Be Compiled\"" >&2;}
9864 { echo "$as_me:$LINENO: WARNING: gmp.h: proceeding with the preprocessor's result" >&5
9865echo "$as_me: WARNING: gmp.h: proceeding with the preprocessor's result" >&2;}
9866 { echo "$as_me:$LINENO: WARNING: gmp.h: in the future, the compiler will take precedence" >&5
9867echo "$as_me: WARNING: gmp.h: in the future, the compiler will take precedence" >&2;}
9868 (
9869 cat <<\_ASBOX
9870## ------------------------------------------ ##
9871## Report this to the AC_PACKAGE_NAME lists. ##
9872## ------------------------------------------ ##
9873_ASBOX
9874 ) |
9875 sed "s/^/$as_me: WARNING: /" >&2
9876 ;;
9877esac
9878echo "$as_me:$LINENO: checking for gmp.h" >&5
9879echo $ECHO_N "checking for gmp.h... $ECHO_C" >&6
9880if test "${ac_cv_header_gmp_h+set}" = set; then
9881 echo $ECHO_N "(cached) $ECHO_C" >&6
9882else
9883 ac_cv_header_gmp_h=$ac_header_preproc
9884fi
9885echo "$as_me:$LINENO: result: $ac_cv_header_gmp_h" >&5
9886echo "${ECHO_T}$ac_cv_header_gmp_h" >&6
9887
9888fi
9889if test $ac_cv_header_gmp_h = yes; then
9890 :
9891else
9892 { { echo "$as_me:$LINENO: error: gmp.h not found, required for --enable-dns" >&5
9893echo "$as_me: error: gmp.h not found, required for --enable-dns" >&2;}
9894 { (exit 1); exit 1; }; }
9895fi
9896
9897
9898
9899echo "$as_me:$LINENO: checking for main in -lgmp" >&5
9900echo $ECHO_N "checking for main in -lgmp... $ECHO_C" >&6
9901if test "${ac_cv_lib_gmp_main+set}" = set; then
9902 echo $ECHO_N "(cached) $ECHO_C" >&6
9903else
9904 ac_check_lib_save_LIBS=$LIBS
9905LIBS="-lgmp $LIBS"
9906cat >conftest.$ac_ext <<_ACEOF
9907/* confdefs.h. */
9908_ACEOF
9909cat confdefs.h >>conftest.$ac_ext
9910cat >>conftest.$ac_ext <<_ACEOF
9911/* end confdefs.h. */
9912
9913
9914int
9915main ()
9916{
9917main ();
9918 ;
9919 return 0;
9920}
9921_ACEOF
9922rm -f conftest.$ac_objext conftest$ac_exeext
9923if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
9924 (eval $ac_link) 2>conftest.er1
9925 ac_status=$?
9926 grep -v '^ *+' conftest.er1 >conftest.err
9927 rm -f conftest.er1
9928 cat conftest.err >&5
9929 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9930 (exit $ac_status); } &&
9931 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
9932 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9933 (eval $ac_try) 2>&5
9934 ac_status=$?
9935 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9936 (exit $ac_status); }; } &&
9937 { ac_try='test -s conftest$ac_exeext'
9938 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9939 (eval $ac_try) 2>&5
9940 ac_status=$?
9941 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9942 (exit $ac_status); }; }; then
9943 ac_cv_lib_gmp_main=yes
9944else
9945 echo "$as_me: failed program was:" >&5
9946sed 's/^/| /' conftest.$ac_ext >&5
9947
9948ac_cv_lib_gmp_main=no
9949fi
9950rm -f conftest.err conftest.$ac_objext \
9951 conftest$ac_exeext conftest.$ac_ext
9952LIBS=$ac_check_lib_save_LIBS
9953fi
9954echo "$as_me:$LINENO: result: $ac_cv_lib_gmp_main" >&5
9955echo "${ECHO_T}$ac_cv_lib_gmp_main" >&6
9956if test $ac_cv_lib_gmp_main = yes; then
9957 cat >>confdefs.h <<_ACEOF
9958#define HAVE_LIBGMP 1
9959_ACEOF
9960
9961 LIBS="-lgmp $LIBS"
9962
9963else
9964 { { echo "$as_me:$LINENO: error: libgmp not found, required for --enable-dns" >&5
9965echo "$as_me: error: libgmp not found, required for --enable-dns" >&2;}
9966 { (exit 1); exit 1; }; }
9967fi
9968
9969
9970
9971cat >>confdefs.h <<_ACEOF
9972#define ENABLE_DNS 1
9973_ACEOF
9974
9975
9976
9977fi;
9978
9734# Check whether --enable-http-proxy or --disable-http-proxy was given. 9979# Check whether --enable-http-proxy or --disable-http-proxy was given.
9735if test "${enable_http_proxy+set}" = set; then 9980if test "${enable_http_proxy+set}" = set; then
9736 enableval="$enable_http_proxy" 9981 enableval="$enable_http_proxy"
9737 9982
9738cat >>confdefs.h <<_ACEOF 9983cat >>confdefs.h <<_ACEOF
9740_ACEOF 9985_ACEOF
9741 9986
9742 9987
9743fi; 9988fi;
9744 9989
9990HMAC=12
9745HMAC=8 # Check whether --enable-hmac-length or --disable-hmac-length was given. 9991# Check whether --enable-hmac-length or --disable-hmac-length was given.
9746if test "${enable_hmac_length+set}" = set; then 9992if test "${enable_hmac_length+set}" = set; then
9747 enableval="$enable_hmac_length" 9993 enableval="$enable_hmac_length"
9748 HMAC=$enableval 9994 HMAC=$enableval
9749 9995
9750fi; 9996fi;
9752cat >>confdefs.h <<_ACEOF 9998cat >>confdefs.h <<_ACEOF
9753#define HMACLENGTH $HMAC 9999#define HMACLENGTH $HMAC
9754_ACEOF 10000_ACEOF
9755 10001
9756 10002
10003RAND=8
9757RAND=8 # Check whether --enable-rand-length or --disable-rand-length was given. 10004# Check whether --enable-rand-length or --disable-rand-length was given.
9758if test "${enable_rand_length+set}" = set; then 10005if test "${enable_rand_length+set}" = set; then
9759 enableval="$enable_rand_length" 10006 enableval="$enable_rand_length"
9760 RAND=$enableval 10007 RAND=$enableval
9761 10008
9762fi; 10009fi;
9764cat >>confdefs.h <<_ACEOF 10011cat >>confdefs.h <<_ACEOF
9765#define RAND_SIZE $RAND 10012#define RAND_SIZE $RAND
9766_ACEOF 10013_ACEOF
9767 10014
9768 10015
10016MTU=1500
9769MTU=1500 # Check whether --enable-mtu or --disable-mtu was given. 10017# Check whether --enable-mtu or --disable-mtu was given.
9770if test "${enable_mtu+set}" = set; then 10018if test "${enable_mtu+set}" = set; then
9771 enableval="$enable_mtu" 10019 enableval="$enable_mtu"
9772 MTU=$enableval 10020 MTU=$enableval
9773 10021
9774fi; 10022fi;
9791cat >>confdefs.h <<_ACEOF 10039cat >>confdefs.h <<_ACEOF
9792#define ENABLE_COMPRESSION $COMPRESS 10040#define ENABLE_COMPRESSION $COMPRESS
9793_ACEOF 10041_ACEOF
9794 10042
9795 10043
9796CIPHER=bf_cbc 10044CIPHER=aes_128_cbc
9797# Check whether --enable-cipher or --disable-cipher was given. 10045# Check whether --enable-cipher or --disable-cipher was given.
9798if test "${enable_cipher+set}" = set; then 10046if test "${enable_cipher+set}" = set; then
9799 enableval="$enable_cipher" 10047 enableval="$enable_cipher"
9800 if test "x$enableval" = xbf ; then CIPHER=bf_cbc ; fi 10048 if test "x$enableval" = xbf ; then CIPHER=bf_cbc ; fi
9801 if test "x$enableval" = xaes-128; then CIPHER=aes_128_cbc; fi 10049 if test "x$enableval" = xaes-128; then CIPHER=aes_128_cbc; fi
9807cat >>confdefs.h <<_ACEOF 10055cat >>confdefs.h <<_ACEOF
9808#define ENABLE_CIPHER EVP_${CIPHER} 10056#define ENABLE_CIPHER EVP_${CIPHER}
9809_ACEOF 10057_ACEOF
9810 10058
9811 10059
9812DIGEST=sha1 10060DIGEST=ripemd160
9813# Check whether --enable-digest or --disable-digest was given. 10061# Check whether --enable-digest or --disable-digest was given.
9814if test "${enable_digest+set}" = set; then 10062if test "${enable_digest+set}" = set; then
9815 enableval="$enable_digest" 10063 enableval="$enable_digest"
9816 if test "x$enableval" = xsha1 ; then DIGEST=sha1 ; fi 10064 if test "x$enableval" = xsha1 ; then DIGEST=sha1 ; fi
9817 if test "x$enableval" = xripemd160; then DIGEST=ripemd160; fi 10065 if test "x$enableval" = xripemd160; then DIGEST=ripemd160; fi
9834fi 10082fi
9835 10083
9836 10084
9837 10085
9838 10086
9839
9840
9841 ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile src/rohc/Makefile doc/Makefile lib/Makefile m4/Makefile" 10087 ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile"
10088
9842cat >confcache <<\_ACEOF 10089cat >confcache <<\_ACEOF
9843# This file is a shell script that caches the results of configure 10090# This file is a shell script that caches the results of configure
9844# tests run on this system so they can be shared between configure 10091# tests run on this system so they can be shared between configure
9845# scripts and configure runs, see configure's option --config-cache. 10092# scripts and configure runs, see configure's option --config-cache.
9846# It is not useful on other systems. If it contains results you don't 10093# It is not useful on other systems. If it contains results you don't
10424 case "$ac_config_target" in 10671 case "$ac_config_target" in
10425 # Handling of arguments. 10672 # Handling of arguments.
10426 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;; 10673 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
10427 "po/Makefile.in" ) CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;; 10674 "po/Makefile.in" ) CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;;
10428 "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;; 10675 "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
10429 "src/rohc/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/rohc/Makefile" ;;
10430 "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;; 10676 "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
10431 "lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;; 10677 "lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
10432 "m4/Makefile" ) CONFIG_FILES="$CONFIG_FILES m4/Makefile" ;; 10678 "m4/Makefile" ) CONFIG_FILES="$CONFIG_FILES m4/Makefile" ;;
10433 "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;; 10679 "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
10434 "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;; 10680 "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
10595s,@IFSUBTYPE@,$IFSUBTYPE,;t t 10841s,@IFSUBTYPE@,$IFSUBTYPE,;t t
10596s,@CXXCPP@,$CXXCPP,;t t 10842s,@CXXCPP@,$CXXCPP,;t t
10597s,@ALLOCA@,$ALLOCA,;t t 10843s,@ALLOCA@,$ALLOCA,;t t
10598s,@LINUX_IF_TUN_H@,$LINUX_IF_TUN_H,;t t 10844s,@LINUX_IF_TUN_H@,$LINUX_IF_TUN_H,;t t
10599s,@HAVE_TUNTAP@,$HAVE_TUNTAP,;t t 10845s,@HAVE_TUNTAP@,$HAVE_TUNTAP,;t t
10846s,@LDFLAGS_DAEMON@,$LDFLAGS_DAEMON,;t t
10600s,@ROHC_TRUE@,$ROHC_TRUE,;t t 10847s,@ROHC_TRUE@,$ROHC_TRUE,;t t
10601s,@ROHC_FALSE@,$ROHC_FALSE,;t t 10848s,@ROHC_FALSE@,$ROHC_FALSE,;t t
10602s,@INCLUDES@,$INCLUDES,;t t 10849s,@INCLUDES@,$INCLUDES,;t t
10603s,@LIBOBJS@,$LIBOBJS,;t t 10850s,@LIBOBJS@,$LIBOBJS,;t t
10604s,@LTLIBOBJS@,$LTLIBOBJS,;t t 10851s,@LTLIBOBJS@,$LTLIBOBJS,;t t
11397_ACEOF 11644_ACEOF
11398chmod +x $CONFIG_STATUS 11645chmod +x $CONFIG_STATUS
11399ac_clean_files=$ac_clean_files_save 11646ac_clean_files=$ac_clean_files_save
11400 11647
11401 11648
11402
11403echo
11404echo "***"
11405echo "*** Configuration Summary"
11406echo "***"
11407echo "*** Kernel Iface: $IFTYPE/$IFSUBTYPE"
11408echo "*** Cipher used: $CIPHER"
11409echo "*** Digest used: $DIGEST"
11410echo "*** HMAC length: $HMAC"
11411echo "*** RAND used: $RAND"
11412echo "*** Max. MTU: $MTU"
11413echo "*** Compression: $COMPRESS"
11414
11415if test "x$DIGEST" = xmd4; then
11416echo "***"
11417echo "*** WARNING: The digest you have chosen ($DIGEST) is known to be insecure"
11418fi
11419
11420if test "$HMAC" -lt 12; then
11421echo "***"
11422echo "*** WARNING: The hmac length you have chosen ($HMAC) might be insecure"
11423fi
11424
11425if test "$RAND" -lt 8; then
11426echo "***"
11427echo "*** WARNING: The random prefix you have chosen ($RAND) might be insecure"
11428fi
11429
11430echo "***"
11431
11432echo
11433
11434
11435
11436# configure is writing to config.log, and then calls config.status. 11649# configure is writing to config.log, and then calls config.status.
11437# config.status does its own redirection, appending to config.log. 11650# config.status does its own redirection, appending to config.log.
11438# Unfortunately, on DOS this fails, as config.log is still kept open 11651# Unfortunately, on DOS this fails, as config.log is still kept open
11439# by configure, so config.status won't be able to write to it; its 11652# by configure, so config.status won't be able to write to it; its
11440# output is simply discarded. So we exec the FD to /dev/null, 11653# output is simply discarded. So we exec the FD to /dev/null,
11452 # Use ||, not &&, to avoid exiting from the if with $? = 1, which 11665 # Use ||, not &&, to avoid exiting from the if with $? = 1, which
11453 # would make configure fail if this is the last instruction. 11666 # would make configure fail if this is the last instruction.
11454 $ac_cs_success || { (exit 1); exit 1; } 11667 $ac_cs_success || { (exit 1); exit 1; }
11455fi 11668fi
11456 11669
11670
11671echo
11672echo "***"
11673echo "*** Configuration Summary"
11674echo "***"
11675echo "*** Kernel Iface: $IFTYPE/$IFSUBTYPE"
11676echo "*** Cipher used: $CIPHER"
11677echo "*** Digest used: $DIGEST"
11678echo "*** HMAC length: $HMAC"
11679echo "*** RAND used: $RAND"
11680echo "*** Max. MTU: $MTU"
11681
11682echo "***"
11683echo "*** Enable options:"
11684grep ENABLE_ config.h | sed -e 's/^/*** /'
11685
11686if test "x$DIGEST" = xmd4; then
11687echo "***"
11688echo "*** WARNING: The digest you have chosen ($DIGEST) is known to be insecure"
11689fi
11690
11691if test "$HMAC" -lt 12; then
11692echo "***"
11693echo "*** WARNING: The hmac length you have chosen ($HMAC) is probably insecure"
11694fi
11695
11696if test "$RAND" -lt 8; then
11697echo "***"
11698echo "*** WARNING: The random prefix you have chosen ($RAND) is probably insecure"
11699fi
11700
11701echo "***"
11702echo
11703
11704

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines